claw::log_stream_concise Class Reference

A log stream that does not output a message that have been recently output. More...

`#include <log_stream_concise.hpp>`

Inheritance diagram for claw::log_stream_concise:

## Public Member Functions

| log_stream_concise (log_stream *s, std::size_t max_history_size=25)
| Constructor.
virtual | ~log_stream_concise ()
| Destructor.
virtual void | write (const std::string &str)
| Write a string in the stream.
virtual void | flush ()
| Flush the stream.
Public Member Functions inherited from claw::log_stream
virtual | ~log_stream ()
| Destructor.
Public Member Functions inherited from claw::pattern::non_copyable
| non_copyable ()
| Default constructor.

## Detailed Description

A log stream that does not output a message that have been recently output.

Author
  Julien Jorge

Definition at line 61 of file log_stream_concise.hpp.

## Constructor & Destructor Documentation

## log_stream_concise()

claw::log_stream_concise::log_stream_concise | ( | log_stream * | s,
|  | std::size_t | max_history_size = 25 )

explicit

Constructor.

Parameters

  s | The stream in which the messages are finally written. It will be deleted in the destructor.
  max_history_size | The maximum number of lines in the history.

Definition at line 41 of file log_stream_concise.cpp.

## ~log_stream_concise()

claw::log_stream_concise::~log_stream_concise | ( |  | ) |

virtual

Destructor.

Definition at line 52 of file log_stream_concise.cpp.

## Member Function Documentation

## flush()

void claw::log_stream_concise::flush | ( |  | ) |

virtual

Flush the stream.

Reimplemented from claw::log_stream.

Definition at line 84 of file log_stream_concise.cpp.

## write()

void claw::log_stream_concise::write | ( | const std::string & | str | ) |

virtual

Write a string in the stream.

Parameters

  str | The sring to write.

Implements claw::log_stream.

Definition at line 62 of file log_stream_concise.cpp.

References write().

Referenced by write().

The documentation for this class was generated from the following files:

- log_stream_concise.hpp
- code/log_stream_concise.cpp